EComponentListener
3
LIBEDATASERVER Library

# EComponentListener

## Synopsis

                        EComponentListener;
    EComponentListener* e_component_listener_new            (Bonobo_Unknown comp);
    Bonobo_Unknown      e_component_listener_get_component  (EComponentListener *cl);
    void                e_component_listener_set_component  (EComponentListener *cl,
                                                             Bonobo_Unknown comp);

## Object Hierarchy

      GObject
       +----EComponentListener

## Signals

      "component-died"                                 : Run First

## Description

## Details

### EComponentListener

    typedef struct _EComponentListener EComponentListener;

### e_component_listener_new ()

    EComponentListener* e_component_listener_new            (Bonobo_Unknown comp);

Create a new EComponentListener object, which allows to listen for a given component and get notified when that component dies.

`comp` :

  Component to listen for.

Returns :

  a component listener object.

### e_component_listener_get_component ()

    Bonobo_Unknown      e_component_listener_get_component  (EComponentListener *cl);

`cl` :

Returns :

### e_component_listener_set_component ()

    void                e_component_listener_set_component  (EComponentListener *cl,
                                                             Bonobo_Unknown comp);

`cl` :

`comp` :

## Signal Details

### The "component-died" signal

    void                user_function                      (EComponentListener *ecomponentlistener,
                                                            gpointer            user_data)               : Run First

`ecomponentlistener` :

  the object which received the signal.

`user_data` :

  user data set when the signal handler was connected.